PHP ��U
前一頁 |  | 下一頁

# HttpMessage

(no version information, might be only in CVS)

HttpMessage -- HTTP Message Class

## 大綱

    class HttpMessage implements Iterator, Countable, Serializable

## Class Members

### Properties

表格 1. Instance Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
protected | int | type | message type
protected | string | body | message body
protected | float | httpVersion | HTTP protocol version
protected | array | headers | message headers
protected | string | requestMethod | request method name
protected | requestUrl | string | request URL
protected | int | responseCode | response code
protected | string | responseStatus | response status message
protected | HttpMessage | parentMessage | reference to parent message

> 注: None of these default properties can be accessed by reference, array key/index notation nor be used in increment or decrement operations.

### �w��w�q�`��

表格 2.

Type | Name | Description
--- | --- | ---
int | TYPE_NONE | message has is of no specific type
int | TYPE_REQUEST | message is a request style HTTP message
int | TYPE_RESPONSE | message is a response style HTTP message

### Methods

HttpMessage::construct()
HttpMessage::fromString()
HttpMessage::toString()
HttpMessage::toMessageTypeObject()
HttpMessage::guessContentType()
HttpMessage::detach()
HttpMessage::prepend()
HttpMessage::reverse()
HttpMessage::send()
HttpMessage::getParentMessage()
HttpMessage::getType()
HttpMessage::setType()
HttpMessage::getHttpVersion()
HttpMessage::setHttpVersion()
HttpMessage::getHeaders()
HttpMessage::getHeader()
HttpMessage::addHeaders()
HttpMessage::setHeaders()
HttpMessage::getBody()
HttpMessage::setBody()
HttpMessage::getRequestMethod()
HttpMessage::setRequestMethod()
HttpMessage::getRequestUrl()
HttpMessage::setRequestUrl()
HttpMessage::getResponseCode()
HttpMessage::setResponseCode()
HttpMessage::getResponseStatus()
HttpMessage::setResponseStatus()

前一頁 | 內容 | 下一頁
Constants | 上一層 | HttpMessage::__construct